Issues with PHP extensions

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Issues with PHP extensions

Postby remlabm » 18. June 2011 14:33

having a ton of issues trying to get extensions to work.. i primarily need 2 extentions. memcache and solr (beta).

i have tried simply placing the dll inside the ext dir and enabling in php.ini. no matter which dll i use (solr,memcached) i get the following error

PHP Warning: PHP Startup: Unable to load dynamic library 'C:\\xampp\\php\\ext\\php_memcache.dll' - The specified module could not be found.\r\n in Unknown on line 0
<b>Warning</b>: PHP Startup: Unable to load dynamic library 'C:\xampp\php\ext\php_memcache.dll' - The specified module could not be found.

i have tried to use PECL to install the extensions as well.. while installing the memcache extension

ERROR: Did not understand the completion status returned from msdev.exe

and when i install solr i get this error

pecl/solr requires PHP extension "curl"

which is enabled in both php.ini and pear-php.ini files and is displaying in my info file.

any help?! im at a loss! thanks
remlabm
 
Posts: 2
Joined: 16. June 2011 23:24

Re: Issues with PHP extensions

Postby JonB » 18. June 2011 20:47

Well one sure hopes they are the right compilations :shock:

read this:

http://bravo.newnetenterprises.com/word ... -i-do-that

good luck
:D
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Issues with PHP extensions

Postby remlabm » 20. June 2011 16:26

so i installed VS2010 and im stillr eceiving that error. apparently it has changed from msdev to envdev in VS2010.. where can i update this in the PECL scripts?
remlabm
 
Posts: 2
Joined: 16. June 2011 23:24

Re: Issues with PHP extensions

Postby JonB » 20. June 2011 18:01

I don't think you are on track with this problem.

I don't know the specifics of the extensions you wish to use;

BUT (as they say)

if the PHP extensions are/or utilize dlls, in order to work with XAMPP they (the dlls) have to be VC6 compiled, they can't be VC9 derived binaries. If you want to run/use VC9 compiled extensions, you will need an Apache/PHP pairing that were compiled using VisualStudio 2008 or later.

such a pairing could the 'Apache Lounge' Apache webserver distribution and the VC9 PHP standalone binaries.

http://www.apachelounge.com/

ApacheLounge is the place for 'compile it yourself' Apache and mods on Windows (php is most often run as an Apache mod -- mod_php - that's how it runs by default under XAMPP - otherwise it has to be a CGI) That is the reason that the Apache and PHP are linked - Apache 'runs' PHP as a dll from a Windows OS persepctive (its the calling executable -- httpd.exe call the mod_php library)

If you want to brew your own (compile new extensions from source) for XAMPP, I think you can only do so with Visual Studio 6, not the current MS product or Visual Studio 2008 (VC9). I don't think you can use VS2010 or 2008 to create 'old style' VC6 binaries. This is a way,way advanced topic that is right at the very edge of my knowledge. We used to have a reasonably expert VS C compiler guy hanging about, but no longer.

The VC9 compiles imply the dot net framework as I understand it (and I also understand that is why XAMPP has not 'gone there'. Its cross-platform nad would become architecturally different if you were to make that change).

As for PECL here is the relevant thread:
http://www.php.net/manual/en/install.pecl.windows.php

You could try sending a message to the project leaders here, but that's not always proven fruitful. They are pretty busy coding and building..

You know have the sum total of 'what I know' on this.

Good luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Windows

Who is online

Users browsing this forum: DrSeussFreak and 67 guests